# Get FASP provider by ID

Retrieves detailed information about a specific FASP provider.

RBAC:
- requires ANY of Federation.Read, Federation.Manage

Endpoint: GET /api/v1/admin/fasp/providers/{faspId}
Version: 1.0
Security: header

## Path parameters:

  - `faspId` (integer, required)
    FASP provider ID

## Response 200 fields (application/json):

  - `id` (integer, required)
    Provider ID

  - `state` (string, required)
    Provider state
    Enum: "PENDING", "ACCEPTED", "BLOCKED"

  - `name` (string, required)
    Provider name

  - `baseUrl` (string, required)
    Provider base URL

  - `signInUrl` (string,null, required)
    Provider sign-in URL

  - `capabilities` (array, required)
    Provider capabilities

  - `capabilities.id` (string, required)
    Capability ID

  - `capabilities.version` (string, required)
    Capability version

  - `capabilities.enabled` (boolean, required)
    Whether capability is enabled

  - `contactEmail` (string,null, required)
    Contact email

  - `fediverseAccount` (string,null, required)
    Fediverse account

  - `subscriptions` (array, required)
    Active subscriptions for this provider

  - `subscriptions.id` (integer, required)
    Subscription ID

  - `subscriptions.category` (string, required)
    Content category
    Enum: "content", "account", "group", "unknown"

  - `subscriptions.subscriptionType` (string, required)
    Subscription type
    Enum: "lifecycle", "trends"

  - `subscriptions.createdAt` (string, required)
    When the subscription was created
    Example: "2022-03-10T16:15:50Z"

  - `subscriptions.updatedAt` (string, required)
    When the subscription was last updated
    Example: "2022-03-10T16:15:50Z"

  - `backfills` (array, required)
    Backfill requests for this provider

  - `backfills.id` (integer, required)
    Backfill request ID

  - `backfills.category` (string, required)
    Content category
    Enum: "content", "account", "group", "unknown"

  - `backfills.fulfilled` (boolean, required)
    Whether backfill is fulfilled

  - `backfills.processedCount` (integer, required)
    Number of items processed

  - `backfills.createdAt` (string, required)
    When the backfill was requested
    Example: "2022-03-10T16:15:50Z"

  - `backfills.updatedAt` (string, required)
    When the backfill was last updated
    Example: "2022-03-10T16:15:50Z"

  - `lastErrorAt` (string,null, required)
    When the last client error occurred (null = healthy)
    Example: "2022-03-10T16:15:50Z"

  - `createdAt` (string, required)
    When the provider was registered
    Example: "2022-03-10T16:15:50Z"

  - `updatedAt` (string, required)
    When the provider was last updated
    Example: "2022-03-10T16:15:50Z"


